searchNodes=[{"doc":"Implements a Hush.Provider behaviour to resolve secrets from AWS Secrets Manager at runtime. To configure this provider, ensure you configure ex_aws and hush: config :ex_aws , access_key_id : [ { :system , &quot;AWS_ACCESS_KEY_ID&quot; } ] , secret_access_key : [ { :system , &quot;AWS_SECRET_ACCESS_KEY&quot; } ] config :hush , providers : [ Hush.Provider.AwsSecretsManager ]","ref":"Hush.Provider.AwsSecretsManager.html","title":"Hush.Provider.AwsSecretsManager","type":"module"},{"doc":"This package provides a Hush Provider to resolve Amazon Web Services's Secrets Manager secrets. Documentation can be found at https://hexdocs.pm/hush_aws_secrets_manager .","ref":"readme.html","title":"AWS Secrets Manager Hush Provider","type":"extras"},{"doc":"The package can be installed by adding hush_aws_secrets_manager to your list of dependencies in mix.exs : def deps do [ { :hush , &quot;~&gt; 0.4&quot; } , { :hush_aws_secrets_manager , &quot;~&gt; 0.2.0&quot; } ] end This module relies on ex_aws to talk to the AWS API. As such you need to configure it, below is an example, but you can read alternative ways of configuring it in their documentation . As the provider needs to start ex_aws application, it needs to registered as a provider in hush , so that it gets loaded during startup. # config/config.exs alias Hush.Provider.AwsSecretsManager config :ex_aws , access_key_id : [ { :system , &quot;AWS_ACCESS_KEY_ID&quot; } ] , secret_access_key : [ { :system , &quot;AWS_SECRET_ACCESS_KEY&quot; } ] # ensure hush loads AwsSecretsManager during startup config :hush , providers : [ AwsSecretsManager ] AWS Authorization In order to retrieve secrets from AWS, ensure the service account you use has a similar policy as: { &quot;Version&quot;: &quot;2012-10-17&quot;, &quot;Statement&quot;: [ { &quot;Effect&quot;: &quot;Allow&quot;, &quot;Action&quot;: &quot;secretsmanager:GetSecretValue&quot;, &quot;Resource&quot;: [ &quot;arn:aws:secretsmanager:&lt;region&gt;:&lt;account&gt;:secret:&lt;secret-name&gt;&quot;, &quot;arn:aws:secretsmanager:us-east-1:000000000000:secret:config/password-MzBAO2&quot; ] } ] }","ref":"readme.html#installation","title":"AWS Secrets Manager Hush Provider - Installation","type":"extras"},{"doc":"The following example reads the password and the pool size for CloudSQL from secret manager into the ecto repo configuration. # config/prod.exs alias Hush.Provider.AwsSecretsManager config :app , App.Repo , password : { :hush , AwsSecretsManager , &quot;CLOUDSQL_PASSWORD&quot; } , pool_size : { :hush , AwsSecretsManager , &quot;ECTO_POOL_SIZE&quot; , cast : :integer , default : 10 }","ref":"readme.html#usage","title":"AWS Secrets Manager Hush Provider - Usage","type":"extras"},{"doc":"Hush is released under the Apache License 2.0 - see the LICENSE file.","ref":"readme.html#license","title":"AWS Secrets Manager Hush Provider - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Add hackney as a hard dependency","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Announced public release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]